org.jbpm.services.cdi.impl

## Class RuntimeDataServiceCDIImpl

- java.lang.Object
- - org.jbpm.kie.services.impl.RuntimeDataServiceImpl
  - - org.jbpm.services.cdi.impl.RuntimeDataServiceCDIImpl

- All Implemented Interfaces:
    DeploymentEventListener, RuntimeDataService

      @ApplicationScoped
      public class RuntimeDataServiceCDIImpl
      extends RuntimeDataServiceImpl

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jbpm.services.api.RuntimeDataService

      `RuntimeDataService.EntryType`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.kie.services.impl.RuntimeDataServiceImpl

      `availableProcesses, deploymentsRoles, userDeploymentIdsCache`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuntimeDataServiceCDIImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onActivate(DeploymentEvent event)`
    `void` | `onDeactivate(DeploymentEvent event)`
    `void` | `onDeploy(DeploymentEvent event)`
    `void` | `onUnDeploy(DeploymentEvent event)`
    `void` | `setCommandService(TransactionalCommandService commandService)`
    `void` | `setIdentityProvider(org.kie.internal.identity.IdentityProvider identityProvider)`
    `void` | `setTaskService(org.kie.api.task.TaskService taskService)`

    - ### Methods inherited from class org.jbpm.kie.services.impl.RuntimeDataServiceImpl

      `applyDeploymentFilter, applyPaginition, applyQueryContext, applyQueryFilter, applySorting, getAllAuditTask, getDeploymentsForUser, getNodeInstanceForWorkItem, getProcessById, getProcesses, getProcessesByDeploymentId, getProcessesByDeploymentIdProcessId, getProcessesByFilter, getProcessesById, getProcessIds, getProcessInstanceByCorrelationKey, getProcessInstanceById, getProcessInstanceFullHistory, getProcessInstanceFullHistoryByType, getProcessInstanceHistory, getProcessInstanceHistoryActive, getProcessInstanceHistoryCompleted, getProcessInstances, getProcessInstances, getProcessInstancesByCorrelationKey, getProcessInstancesByDeploymentId, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessDefinition, getProcessInstancesByProcessId, getProcessInstancesByProcessName, getTaskById, getTaskByWorkItemId, getTaskEvents, getTasksAssignedAsBusinessAdministrator, getTasksAssignedAsBusinessAdministratorByStatus, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwner, getTasksAssignedAsPotentialOwnerByExpirationDateOptional, getTasksAssignedAsPotentialOwnerByStatus, getTasksByProcessInstanceId, getTasksByStatusByProcessInstanceId, getTasksOwned, getTasksOwnedByExpirationDateOptional, getTasksOwnedByStatus, getVariableHistory, getVariablesCurrentState`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimeDataServiceCDIImpl

          public RuntimeDataServiceCDIImpl()

  - ### Method Detail

    - #### onDeploy

          public void onDeploy(@Observes
                      DeploymentEvent event)

      Specified by:
        `onDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onDeploy` in class `RuntimeDataServiceImpl`

    - #### onUnDeploy

          public void onUnDeploy(@Observes
                        DeploymentEvent event)

      Specified by:
        `onUnDeploy` in interface `DeploymentEventListener`
      Overrides:
        `onUnDeploy` in class `RuntimeDataServiceImpl`

    - #### onActivate

          public void onActivate(@Observes
                        DeploymentEvent event)

      Specified by:
        `onActivate` in interface `DeploymentEventListener`
      Overrides:
        `onActivate` in class `RuntimeDataServiceImpl`

    - #### onDeactivate

          public void onDeactivate(@Observes
                          DeploymentEvent event)

      Specified by:
        `onDeactivate` in interface `DeploymentEventListener`
      Overrides:
        `onDeactivate` in class `RuntimeDataServiceImpl`

    - #### setCommandService

          @Inject
          public void setCommandService(TransactionalCommandService commandService)

      Overrides:
        `setCommandService` in class `RuntimeDataServiceImpl`

    - #### setIdentityProvider

          @Inject
          public void setIdentityProvider(org.kie.internal.identity.IdentityProvider identityProvider)

      Overrides:
        `setIdentityProvider` in class `RuntimeDataServiceImpl`

    - #### setTaskService

          @Inject
          public void setTaskService(org.kie.api.task.TaskService taskService)

      Overrides:
        `setTaskService` in class `RuntimeDataServiceImpl`

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.